patches for xpcom/src

VERIFIED FIXED in M4

Status

()

Core
XPCOM
P3
normal
VERIFIED FIXED
19 years ago
19 years ago

People

(Reporter: Bruce Mitchener, Assigned: Suresh Duddi (gone))

Tracking

Trunk
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

19 years ago
Index: xpcom/src/nsAllocator.h
===================================================================
RCS file: /cvsroot/mozilla/xpcom/src/nsAllocator.h,v
retrieving revision 3.4
diff -u -r3.4 nsAllocator.h
--- nsAllocator.h       1999/02/26 04:04:50     3.4
+++ nsAllocator.h       1999/03/19 07:05:02
@@ -83,7 +83,7 @@
     NS_IMETHOD LockFactory(PRBool aLock);

     nsAllocatorFactory(void);
-    ~nsAllocatorFactory(void);
+    virtual ~nsAllocatorFactory(void);

     NS_DECL_ISUPPORTS
};


This one may or may not apply after the changes to that file since my pull. it
fixes an unsigned vs signed comparison.

Index: xpcom/src/nsHashtable.cpp
===================================================================
RCS file: /cvsroot/mozilla/xpcom/src/nsHashtable.cpp,v
retrieving revision 3.6
diff -u -r3.6 nsHashtable.cpp
--- nsHashtable.cpp     1999/03/09 14:09:11     3.6
+++ nsHashtable.cpp     1999/03/19 06:52:09
@@ -178,7 +178,7 @@
nsProgIDKey::nsProgIDKey(const char* aProgID)
   : mProgID(mProgIDBuf)
{
-  PRInt32 len = PL_strlen(aProgID);
+  PRUint32 len = (unsigned) PL_strlen(aProgID);
   if (len >= sizeof(mProgIDBuf)) {
     mProgID = new char[PL_strlen(aProgID) + 1];
     NS_ASSERTION(mProgID, "out of memory");



Index: xpcom/src/nsRegistry.cpp
===================================================================
RCS file: /cvsroot/mozilla/xpcom/src/nsRegistry.cpp,v
retrieving revision 1.5
diff -u -r1.5 nsRegistry.cpp
--- nsRegistry.cpp      1999/03/09 09:40:41     1.5
+++ nsRegistry.cpp      1999/03/19 07:09:54
@@ -66,7 +66,7 @@

     // ctor/dtor
     nsRegistry();
-    ~nsRegistry();
+    virtual ~nsRegistry();

protected:
     HREG   mReg; // Registry handle.



This patch is for an unsigned vs signed comparison warning:

Index: xpcom/src/nsSupportsArray.cpp
===================================================================
RCS file: /cvsroot/mozilla/xpcom/src/nsSupportsArray.cpp,v
retrieving revision 3.6
diff -u -r3.6 nsSupportsArray.cpp
--- nsSupportsArray.cpp 1999/03/03 19:47:04     3.6
+++ nsSupportsArray.cpp 1999/03/19 07:04:33
@@ -58,7 +58,7 @@
{
   PRUint32 otherCount = aOther.Count();

-  if (otherCount > (PRInt32)mArraySize) {
+  if (otherCount > mArraySize) {
     DeleteArray();
     mArraySize = otherCount;
     mArray = new nsISupports*[mArraySize];
(Assignee)

Updated

19 years ago
Status: NEW → ASSIGNED
Target Milestone: M4
(Assignee)

Updated

19 years ago
Status: ASSIGNED → RESOLVED
Last Resolved: 19 years ago
Resolution: --- → FIXED
(Assignee)

Comment 1

19 years ago
Thanks bruce. I checked in your patches.
(Reporter)

Updated

19 years ago
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.